#include <string.h>

#include "global.h"
#include "options.h"

extern OPTION Options;

/*********************************************************************
set parameters to default values
*********************************************************************/
void initOptions (void)
{
  strcpy (Options.Infilename, ""); /* sequence input file name */
  strcpy (Options.Outfilename, ""); /* output file name */

  Options.DCLength=0; /* divide and conquer length threshold */
  Options.CalcScoreOnly=FALSE; /* only alignment score calculation */
  Options.CalcDistanceOnly=FALSE; /* only mean pairwise distance calculation */

  Options.D_Match=D_MATCH; /* match score for distance calculation */
  Options.D_Mismatch=D_MISMATCH; /* mismatch score for distance calculation */
  Options.D_Gapopen=0.0f; /* gap open penalty for distance calculation: not specified yet */
  Options.D_Gapextend=0.0f; /* gap extension penalty for distance calculation: not specified yet */
  Options.A_Matchgiven=FALSE; /* is match score for distance calculation given? */
  Options.A_Mismatchgiven=FALSE; /* is mismatch score for distance calculation given? */
  Options.D_Gogiven=FALSE; /* is gapopen for distance calculation given? */
  Options.D_Gegiven=FALSE; /* is gapextend for distance calculation given? */
  Options.D_Mattype=D_MT; /* matrix type for distance calculation */

  Options.A_Match=A_MATCH; /* match score for alignment calculation */
  Options.A_Mismatch=A_MISMATCH; /* mismatch score for alignment calculation */
  Options.A_Gapopen=0.0f; /* gap open penalty for alignment calculation: not specified yet */
  Options.A_Gapextend=0.0f; /* gap extension penalty for alignment calculation : not specified yet */
  Options.A_Matchgiven=FALSE; /* is match score for alignment calculation given? */
  Options.A_Mismatchgiven=FALSE; /* is mismatch score for alignment calculation given? */
  Options.A_Gogiven=FALSE; /* is gapopen for alignment calculation given? */
  Options.A_Gegiven=FALSE; /* is gapextend for alignment calculation given? */
  Options.A_Mattype=A_MT; /* matrix type for alignment calculation */
  Options.Dnatransit=DNATRANSIT; /* DNA transition score for alignment calculation (A-T and C-G pairings) */
  Options.Rnawobble=RNAWOBBLE; /* RNA transition score for wobble pairs for alignment calculation (A-C and G-U pairings) */

  Options.Psi=PSI; /* balance between sequence score and structure score */
  Options.Seqtype=ST; /* sequence type */
  Options.Numshuffles=NUMSHUFFLES; /* number of sequences shuffles in distance calculation (0: use fast but in-accurate formula) */
  Options.Seqweight=SEQWEIGHT; /* use real sequence weights */
  Options.Termgapweight=TERMGAPWEIGHT; /* weight of terminal gaps */
  Options.Saveparmset=SAVEPARMSET; /* save parameter set to file */
  Options.Usestruc=USESTRUC; /* use structure information */
  Options.Gaptype=GT; /* used gap type */
  Options.Outtype=OUTPUT; /* alignment output format */
  Options.Sortali=SORTALI; /* alignment is sorted to order of input sequences */
  Options.Verbosity=VERBOSITY; /* verbosity level */
}
