#ifndef TREE_H
#define TREE_H

#include "global.h"

typedef struct S_NODE NODE;
typedef struct S_EDGE EDGE;

struct S_NODE
{
  int id; /* node id */

  int outnum; /* number of outgoing edges */
  float weight; /* weight of this node */
  float Rx; /* sum of distance to all other active nodes */
  EDGE *in; /* pointer to incoming edge */
  EDGE **out; /* pointer to outgoing edges */
};

struct S_EDGE
{
  NODE *from; /* node, edge points from */
  NODE *to; /* node, edge points to */
  float length; /* length of edge */
  float weight; /* weight of edge */
  int subtreesize; /* size of subtree of edge */
};


void calcNodeWeights (NODE*, float*);

NODE *NODEmake (int);
EDGE *EDGEmake (void);
void NODEaddedge (NODE*, NODE*, EDGE*);
int NODEdeledge (NODE*, NODE*);
int NODEsetedgelength (NODE*, NODE*, float);
void TREEfree (NODE*);

#if DEBUG
void printTree (NODE *node);
#endif

#endif
